import { CardanoCli } from './CardanoCli';
import { AssetSupply, Transaction } from './graphql_types';
import { Logger } from 'ts-log';
export declare class CardanoNodeClient {
    private cardanoCli;
    readonly lastConfiguredMajorVersion: number;
    private logger;
    readonly networkParams: string[];
    adaCirculatingSupply: AssetSupply['circulating'];
    constructor(cardanoCli: CardanoCli, lastConfiguredMajorVersion: number, logger?: Logger);
    getTip(): Promise<import("./CardanoCli").CardanoCliTip>;
    getProtocolParams(): Promise<import("./graphql_types").ShelleyProtocolParams>;
    initialize(): Promise<void>;
    private isInCurrentEra;
    submitTransaction(transaction: string): Promise<Transaction['hash']>;
}
//# sourceMappingURL=CardanoNodeClient.d.ts.map